# Sherpa configuration for polarized W[enu]Z[mumu]+Jets production

# set up beams for LHC run 2
BEAMS: 2212
BEAM_ENERGIES: 6500

# matrix-element calculation
ME_GENERATORS:
  - Comix
  - Amegic
  - OpenLoops

## OTF variations
#SCALE_VARIATIONS:
#  - [0.25, 0.25]
#  - [1.0,  0.25]
#  - [0.25, 1.0]
#  - [1.0,  1.0]
#  - [4.0,  1.0]
#  - [1.0,  4.0]
#  - [4.0,  4.0]

#PDF_VARIATIONS:
#  - NNPDF31_nlo_as_0118*
#  - PDF4LHC21_40_pdfas
#  - NNPDF40_nnlo_as_01180
#  - MSHT20nnlo_as118
#  - CT18NNLO_as_0118

PDF_LIBRARY: LHAPDFSherpa
PDF_SET: NNPDF31_nlo_as_0118
ALPHAS: {USE_PDF: 1}

SCALES: METS{0.25*sqr(80.352+91.153)}

EVENT_GENERATION_MODE: Weighted

# EW setup and corrections
EW_SCHEME: Gmu
GF: 0.0000116638
WIDTH_SCHEME: Fixed

PARTICLE_DATA:
  24:
    Mass: 80.352
    Width: 0
  23:
    Mass: 91.153
    Width: 0

# speed and neg weight fraction improvements
NLO_CSS_PSMODE: 2

COMIX_DEFAULT_GAUGE: 0

HARD_DECAYS:
  Enabled: true
  Mass_Smearing: 1
  Channels:
    24,12,-11: {Status: 2}
    23,13,-13: {Status: 2}
  Pol_Cross_Section:
    Enabled: true
    Spin_Basis: Helicity
    Reference_System: [Lab, COM]
    Weight1: 2
    Weight2: 3

# pp -> WZ+jets
PROCESSES:
- 93 93 -> 24 23:
    Order: {QCD: 0, EW: 2}
    NLO_Mode: MC@NLO
    NLO_Order: {QCD: 1, EW: 0}
    ME_Generator: Amegic
    RS_ME_Generator: Comix
    Loop_Generator: OpenLoops

ANALYSIS: Rivet
RIVET:
  --analyses:
     - MC_WZ_NLOQCD:PHASESPACE=FIDUCIAL
  USE_HEPMC_SHORT: 1
